model:
  name: seq_multitask  # function from basepair.models
  kwargs:  # function kwargs
    filters: 64
    conv1_kernel_size: 21
    tconv_kernel_size: 50
    n_dil_layers: 9
    lr: 0.004
    c_task_weight: 10

data:
  name: get_StrandedProfile_datasets  # defined under basepair.datasets
  type: Dataset  # or function
  kwargs:
    peak_width: 1000  # use 1kb around the interval center
    shuffle: true
    valid_chr:
      - chr2
      - chr3
      - chr4
    test_chr:
      - chr1
      - chr8
      - chr9
#    all_chr:

train:
  early_stop_patience: 5
  batch_size: 256
  epochs: 200  # maximual number of epochs to train the model for
  balance_peak_classes: False
  # how frequently to evaluate (in fraction of the epoch)
  train_epoch_frac: 1.0
  valid_epoch_frac: 1.0    

# not needed actually
evaluate:
  pos_min_threshold: 0.05
  neg_max_threshold: 0.01
  required_min_pos_counts: 2.5
  binsizes:
  - 1
  - 10
